import QtQuick 2.4
import Components 1.0

Item {


    property bool intensifierActive: false

    signal intensifierPressed()

    width: childrenRect.width
    height: intenseGuyButton.height

    ImageButton {
        id: intenseGuyButton

        enabled: visible && opacity > 0
        anchors {
            bottom: parent.bottom
            bottomMargin: 0
            left: parent.left
            leftMargin: -width/2
        }

        z: 999
        upimage: intensifierActive ? "graphics/224/224_Data_ToolBar_Round_Green.png" : "graphics/224/224_Data_ToolBar_Round.png"
        downimage: upimage
        onClicked: intensifierPressed()
        icon: "graphics/TL1000/Data_ToolBar_Icon_INTENSIFIER.png"
        label: qsTr("") //+ application.emptyString
    }

    BorderImage {
        id: orangeBackground
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: intenseGuyButton.left
        anchors.leftMargin: intenseGuyButton.width/2
        source: "graphics/TL1000/Data_ToolBar_Icon_ORgradation.png"
        width: intensityYourWorkoutText.width + 100
        //height: 60
        border.left: 2
        border.right: 2
        horizontalTileMode: BorderImage.Stretch
    }

    Text {
        id: intensityYourWorkoutText
        text: qsTr("INTENSIFY YOUR WORKOUT!") + application.emptyString
        font.pixelSize: 16
        font.bold: true
        anchors {
            verticalCenter: orangeBackground.verticalCenter
            horizontalCenter: orangeBackground.horizontalCenter
        }
    }
}
